# Uses of Enum Class
org.bukkit.block.Biome

Packages that use Biome
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.generator
Classes to facilitate `world` generation implementation.

## Uses of Biome in org.bukkit

Fields in org.bukkit with type parameters of type Biome
Modifier and Type
Field
Description
`static final Registry<Biome>`
Registry.`BIOME`
Server biomes.
Methods in org.bukkit that return Biome
Modifier and Type
Method
Description
`@NotNull Biome`
ChunkSnapshot.`getBiome(int x, int z)`
Deprecated.
biomes are now 3-dimensional
`@NotNull Biome`
ChunkSnapshot.`getBiome(int x, int y, int z)`
Get biome at given coordinates
`@NotNull Biome`
RegionAccessor.`getBiome(int x, int y, int z)`
Gets the `Biome` at the given coordinates.
`@NotNull Biome`
RegionAccessor.`getBiome(@NotNull Location location)`
Gets the `Biome` at the given `Location`.
`@NotNull Biome`
World.`getBiome(int x, int z)`
Deprecated.
biomes are now 3-dimensional
`@NotNull Biome`
RegionAccessor.`getComputedBiome(int x, int y, int z)`
Gets the computed `Biome` at the given coordinates.
Methods in org.bukkit with parameters of type Biome
Modifier and Type
Method
Description
`@Nullable Location`
World.`locateNearestBiome(@NotNull Location origin, @NotNull Biome biome, int radius)`
Locates the nearest biome based on an origin, biome type, and radius to search.
`@Nullable Location`
World.`locateNearestBiome(@NotNull Location origin, @NotNull Biome biome, int radius, int step)`
Locates the nearest biome based on an origin, biome type, and radius to search and step
`void`
RegionAccessor.`setBiome(int x, int y, int z, @NotNull Biome biome)`
Sets the `Biome` for the given block coordinates
`void`
RegionAccessor.`setBiome(@NotNull Location location, @NotNull Biome biome)`
Sets the `Biome` at the given `Location`.
`void`
World.`setBiome(int x, int z, @NotNull Biome bio)`
Deprecated.
biomes are now 3-dimensional

## Uses of Biome in org.bukkit.block

Methods in org.bukkit.block that return Biome
Modifier and Type
Method
Description
`@NotNull Biome`
Block.`getBiome()`
Returns the biome that this block resides in
`@NotNull Biome`
Block.`getComputedBiome()`
Gets the computed biome at the location of this Block.
`static Biome`
Biome.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Biome[]`
Biome.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block with parameters of type Biome
Modifier and Type
Method
Description
`void`
Block.`setBiome(@NotNull Biome bio)`
Sets the biome that this block resides in

## Uses of Biome in org.bukkit.generator

Methods in org.bukkit.generator that return Biome
Modifier and Type
Method
Description
`abstract @NotNull Biome`
BiomeProvider.`getBiome(@NotNull WorldInfo worldInfo, int x, int y, int z)`
Return the Biome which should be present at the provided location.
`@NotNull Biome`
ChunkGenerator.BiomeGrid.`getBiome(int x, int z)`
Deprecated.
biomes are now 3-dimensional
`@NotNull Biome`
ChunkGenerator.BiomeGrid.`getBiome(int x, int y, int z)`
Deprecated.
Get biome at x, z within chunk being generated
`@NotNull Biome`
ChunkGenerator.ChunkData.`getBiome(int x, int y, int z)`
Get the biome at x, y, z within chunk being generated
Methods in org.bukkit.generator that return types with arguments of type Biome
Modifier and Type
Method
Description
`abstract @NotNull List<Biome>`
BiomeProvider.`getBiomes(@NotNull WorldInfo worldInfo)`
Returns a list with every biome the `BiomeProvider` will use for the given world.
Methods in org.bukkit.generator with parameters of type Biome
Modifier and Type
Method
Description
`void`
ChunkGenerator.BiomeGrid.`setBiome(int x, int y, int z, @NotNull Biome bio)`
Deprecated.
Set biome at x, z within chunk being generated
`void`
ChunkGenerator.BiomeGrid.`setBiome(int x, int z, @NotNull Biome bio)`
Deprecated.
biomes are now 3-dimensional